Subject: bug#14034: 24.3.50; M-/ runs diff-undo in Diff mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Mar 2013 12:14:33 -0400

>> Looking at diff-mode code, it appears to me we should simply remove the
>> explicit "/" binding. `diff-mode-shared-map' already remaps undo to
>> diff-undo.
>> 
>> Objections, anyone?

No, please go ahead,

> Where do these strange M- mappings come from? Specifying "x" in that
> list binds "M-x" as well. That's crazy.

That would be crazy, indeed.  That's why there's no such `x' binding
in there.

        Stefan